Endpoints
List a task's messages
Returns messages in chronological order. Use nextCursor to continue from the last message in the page.
GET
/
v1
/
tasks
/
{taskId}
/
messages
Error
A valid request URL is required to generate request examples{
"messages": [
{
"id": "<string>",
"role": "user",
"parts": [
{
"type": "reasoning",
"text": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>"
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}Authorizations
A personal API key created in Adam. Send it as Authorization: Bearer <key>.
Path Parameters
Query Parameters
Opaque cursor returned by the previous page
Minimum string length:
1Required range:
1 <= x <= 100Last modified on August 26, 2026
⌘I
Error
A valid request URL is required to generate request examples{
"messages": [
{
"id": "<string>",
"role": "user",
"parts": [
{
"type": "reasoning",
"text": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>"
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}